Peppermint OS Community Forum

Support => Installation => Topic started by: osde8info on February 09, 2018, 10:43:28 am

Title: cannot install open-vm-tools-desktop
Post by: osde8info on February 09, 2018, 10:43:28 am
(im having problems with vmwaretools now so am trying to try open-vm-tools-desktop again)

# aptitude install open-vm-tools-desktop

Code: [Select]
The following NEW packages will be installed:
  open-vm-tools-desktop open-vm-tools-dkms{a} xserver-xorg-core{ab} xserver-xorg-input-vmmouse{a}
0 packages upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 1,905 kB of archives. After unpacking 11.4 MB will be used.
The following packages have unmet dependencies:
 xserver-xorg-core : Conflicts: xserver-xorg-video-modesetting which is a virtual package, provided by:
                                 - xserver-xorg-core-hwe-16.04, but 2:1.19.5-0ubuntu2~16.04.1 is installed.                                 - xserver-xorg-core-hwe-16.04, but 2:1.19.5-0ubuntu2~16.04.1 is installed.                                 - xserver-xorg-core, but 2:1.18.4-0ubuntu0.7 is to be installed.                                 - xserver-xorg-core, but 2:1.18.4-0ubuntu0.7 is to be installed.
 xserver-xorg-hwe-16.04 : Conflicts: xserver-xorg-core (>= 0~) but 2:1.18.4-0ubuntu0.7 is to be installed.
 xserver-xorg-core-hwe-16.04 : Conflicts: xserver-xorg-core but 2:1.18.4-0ubuntu0.7 is to be installed.
                               Conflicts: xserver-xorg-video-modesetting which is a virtual package, provided by:
                                           - xserver-xorg-core-hwe-16.04, but 2:1.19.5-0ubuntu2~16.04.1 is installed.                                           - xserver-xorg-core-hwe-16.04, but 2:1.19.5-0ubuntu2~16.04.1 is installed.                                           - xserver-xorg-core, but 2:1.18.4-0ubuntu0.7 is to be installed.                                           - xserver-xorg-core, but 2:1.18.4-0ubuntu0.7 is to be installed.
The following actions will resolve these dependencies:

     Keep the following packages at their current version:       
1)     xserver-xorg-core [Not Installed]                         
2)     xserver-xorg-input-vmmouse [Not Installed]                 

     Leave the following dependencies unresolved:                 
3)     open-vm-tools-desktop recommends xserver-xorg-input-vmmouse


Accept this solution? [Y/n/q/?] n
Title: Re: cannot install open-vm-tools-desktop
Post by: PCNetSpec on February 09, 2018, 06:16:56 pm
Try installing it without the recommends, and it shouldn't try to uninstall all the hwe-16.04 stuff:
Code: [Select]
sudo apt-get install --no-install-recommends open-vm-tools-desktop